Page MenuHomePhabricator

Move 'projects' up in list of Task properties
Closed, ResolvedPublic

Description

Reported upstream at https://secure.phabricator.com/T6776 (merged as duplicate of Convert builtin fields in Maniphest to CustomField)
Suggestion:

Event Timeline

valhallasw raised the priority of this task from to Needs Triage.
valhallasw updated the task description. (Show Details)
valhallasw changed Security from none to None.
valhallasw added a subscriber: valhallasw.
Qgil added a subscriber: Qgil.

This request should be proposed directly upstream, although something tells me that they are going to prefer the actual design, unless you have a strong justification.

Qgil triaged this task as Lowest priority.Oct 15 2014, 9:37 PM

Situation: T647. Old title "Ignore CC changes".

This Task was in project 'phawikibugs', indicating the context is 'phawikibugs', so I did not put 'phawikibugs' in the title -- just like we don't do that on bugzilla typically. However, this is confusing, as the project is only listed quite a bit lower on the page (as evidenced by comment T647#11134).

Conclusion: if even someone who has experience with Phabricator gets confused, chances are less-experienced volunteers also get confused.

Compare this to Bugzilla, where the project is the third element:

Another option would be to re-arrange the detail list, having Projects first instead of second last.

Qgil added a comment.Dec 17 2014, 8:53 AM

Looking at tracking tasks with dozens of blocking tasks (i.e. T2001), it might make sense to propose that projects are located between Author and Blocks. I guess the patch for this change would be simple.

I would not go down the route of touching the header, which is less convincing and requires more UI work.

I think just moving Project up in the list would already help significantly:

Which is also a well-defined request to upstream.

valhallasw renamed this task from Add tags to task header to Move 'projects' up in list of Task properties.Dec 17 2014, 9:20 AM
valhallasw updated the task description. (Show Details)

The solution lies in solving https://secure.phabricator.com/T5011 , after which fields can be re-ordered at-will.

Qgil updated the task description. (Show Details)
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM
Aklapper closed this task as Resolved.Sep 23 2016, 4:36 PM
Aklapper claimed this task.
Aklapper added a subscriber: Aklapper.

This happened in the April 2016 UI update by moving the project tags into the box on the right, right under the available actions.
Hence closing as resolved.